Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

fix(deps): update all non-major dependencies #8281

Merged
merged 4 commits into from May 26, 2022
Merged

Conversation

renovate[bot]
Copy link
Contributor

@renovate renovate bot commented May 23, 2022

Mend Renovate

This PR contains the following updates:

Package Change Age Adoption Passing Confidence
@babel/core (source) ^7.17.10 -> ^7.18.2 age adoption passing confidence
@babel/parser (source) ^7.17.10 -> ^7.18.3 age adoption passing confidence
@babel/plugin-proposal-pipeline-operator (source) ^7.17.6 -> ^7.18.2 age adoption passing confidence
@babel/plugin-transform-react-jsx (source) ^7.17.3 -> ^7.17.12 age adoption passing confidence
@babel/plugin-transform-react-jsx-self (source) ^7.16.7 -> ^7.17.12 age adoption passing confidence
@babel/plugin-transform-typescript (source) ^7.16.8 -> ^7.18.1 age adoption passing confidence
@babel/runtime (source) ^7.17.9 -> ^7.18.3 age adoption passing confidence
@babel/standalone (source) ^7.17.11 -> ^7.18.3 age adoption passing confidence
@babel/types (source) ^7.17.10 -> ^7.18.2 age adoption passing confidence
@jridgewell/trace-mapping ^0.3.10 -> ^0.3.13 age adoption passing confidence
@microsoft/api-extractor (source) ^7.23.1 -> ^7.24.2 age adoption passing confidence
@rollup/plugin-node-resolve 13.2.1 -> 13.3.0 age adoption passing confidence
@sveltejs/vite-plugin-svelte ^1.0.0-next.43 -> ^1.0.0-next.44 age adoption passing confidence
@types/react-dom ^18.0.3 -> ^18.0.5 age adoption passing confidence
@types/stylus ^0.48.37 -> ^0.48.38 age adoption passing confidence
@typescript-eslint/eslint-plugin ^5.22.0 -> ^5.26.0 age adoption passing confidence
@typescript-eslint/parser ^5.22.0 -> ^5.26.0 age adoption passing confidence
@vitejs/plugin-vue ^2.3.2 -> ^2.3.3 age adoption passing confidence
@vue/compiler-dom ^3.2.33 -> ^3.2.36 age adoption passing confidence
axios (source) ^0.24.0 -> ^0.27.2 age adoption passing confidence
core-js ^3.22.4 -> ^3.22.7 age adoption passing confidence
es5-ext 0.10.53 -> 0.10.61 age adoption passing confidence
eslint (source) ^8.15.0 -> ^8.16.0 age adoption passing confidence
eslint-define-config ^1.4.0 -> ^1.4.1 age adoption passing confidence
express (source) ^4.17.1 -> ^4.18.1 age adoption passing confidence
launch-editor-middleware ^2.3.0 -> ^2.4.0 age adoption passing confidence
lint-staged ^12.4.1 -> ^12.4.2 age adoption passing confidence
lit (source) ^2.2.3 -> ^2.2.5 age adoption passing confidence
magic-string ^0.25.9 -> ^0.26.2 age adoption passing confidence
magic-string ^0.26.1 -> ^0.26.2 age adoption passing confidence
phoenix ^1.6.8 -> ^1.6.9 age adoption passing confidence
playwright-chromium (source) ^1.21.1 -> ^1.22.2 age adoption passing confidence
pnpm (source) 7.0.1 -> 7.1.5 age adoption passing confidence
pnpm (source) ^7.1.2 -> ^7.1.5 age adoption passing confidence
postcss (source) ^8.4.13 -> ^8.4.14 age adoption passing confidence
sass ^1.51.0 -> ^1.52.1 age adoption passing confidence
stylus ^0.55.0 -> ^0.57.0 age adoption passing confidence
svelte-check ^2.7.0 -> ^2.7.1 age adoption passing confidence
ts-node (source) ^10.7.0 -> ^10.8.0 age adoption passing confidence
tsconfck ^2.0.0 -> ^2.0.1 age adoption passing confidence
vite ^2.9.8 -> ^2.9.9 age adoption passing confidence
vitest ^0.12.4 -> ^0.12.9 age adoption passing confidence
vue ^3.2.33 -> ^3.2.36 age adoption passing confidence
vue ^3.2.25 -> ^3.2.36 age adoption passing confidence
vue-tsc ^0.34.11 -> ^0.34.16 age adoption passing confidence

Configuration

πŸ“… Schedule: "before 3am on Monday" (UTC).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

β™» Rebasing: Renovate will not automatically rebase this PR, because other commits have been found.

πŸ‘» Immortal: This PR will be recreated if closed unmerged. Get config help if that's undesired.


  • If you want to rebase/retry this PR, click this checkbox. ⚠ Warning: custom changes will be lost.

This PR has been generated by Mend Renovate. View repository job log here.

@renovate renovate bot added the dependencies Pull requests that update a dependency file label May 23, 2022
@renovate
Copy link
Contributor Author

renovate bot commented May 23, 2022

⚠ Artifact update problem

Renovate failed to update an artifact related to this branch. You probably do not want to merge this PR as-is.

β™» Renovate will retry this branch, including artifacts, only when one of the following happens:

  • any of the package files in this branch needs updating, or
  • the branch becomes conflicted, or
  • you click the rebase/retry checkbox if found above, or
  • you rename this PR's title to start with "rebase!" to trigger it manually

The artifact failure details are included below:

File name: pnpm-lock.yaml
Installing legacy tool pnpm v7.1.3

added 1 package in 3s
7.1.3
Scope: all 106 workspace projects
Progress: resolved 1, reused 0, downloaded 0, added 0
Progress: resolved 25, reused 0, downloaded 1, added 0
Progress: resolved 44, reused 0, downloaded 20, added 0
Progress: resolved 60, reused 0, downloaded 43, added 0
Progress: resolved 68, reused 0, downloaded 50, added 0
Progress: resolved 78, reused 0, downloaded 62, added 0
Progress: resolved 85, reused 0, downloaded 66, added 0
Progress: resolved 91, reused 0, downloaded 71, added 0
Progress: resolved 109, reused 0, downloaded 88, added 0
Progress: resolved 120, reused 0, downloaded 103, added 0
Progress: resolved 125, reused 0, downloaded 116, added 0
Progress: resolved 149, reused 0, downloaded 137, added 0
Progress: resolved 167, reused 0, downloaded 155, added 0
Progress: resolved 179, reused 0, downloaded 167, added 0
Progress: resolved 188, reused 0, downloaded 177, added 0
Progress: resolved 196, reused 0, downloaded 182, added 0
Progress: resolved 203, reused 0, downloaded 187, added 0
Progress: resolved 212, reused 0, downloaded 200, added 0
Progress: resolved 228, reused 0, downloaded 219, added 0
Progress: resolved 244, reused 0, downloaded 233, added 0
Progress: resolved 260, reused 0, downloaded 246, added 0
Progress: resolved 272, reused 0, downloaded 258, added 0
Progress: resolved 280, reused 0, downloaded 264, added 0
Progress: resolved 286, reused 0, downloaded 270, added 0
Progress: resolved 294, reused 0, downloaded 278, added 0
Progress: resolved 297, reused 0, downloaded 281, added 0
Progress: resolved 299, reused 0, downloaded 283, added 0
Progress: resolved 311, reused 0, downloaded 295, added 0
Progress: resolved 332, reused 0, downloaded 308, added 0
playground/css                           |  WARN  deprecated source-map-resolve@0.6.0
Progress: resolved 357, reused 0, downloaded 333, added 0
Progress: resolved 374, reused 0, downloaded 345, added 0
playground/optimize-deps                 |  WARN  deprecated querystring@0.2.0
Progress: resolved 392, reused 0, downloaded 368, added 0
Progress: resolved 421, reused 0, downloaded 398, added 0
Progress: resolved 450, reused 0, downloaded 432, added 0
Progress: resolved 469, reused 0, downloaded 456, added 0
Progress: resolved 494, reused 0, downloaded 482, added 0
Progress: resolved 511, reused 0, downloaded 497, added 0
Progress: resolved 551, reused 0, downloaded 539, added 0
Progress: resolved 574, reused 0, downloaded 559, added 0
Progress: resolved 598, reused 0, downloaded 569, added 0
Progress: resolved 608, reused 0, downloaded 585, added 0
Progress: resolved 609, reused 0, downloaded 586, added 0
Progress: resolved 616, reused 0, downloaded 593, added 0
Progress: resolved 616, reused 0, downloaded 595, added 0
Progress: resolved 616, reused 0, downloaded 596, added 0
Progress: resolved 629, reused 0, downloaded 602, added 0
Progress: resolved 661, reused 0, downloaded 641, added 0
Progress: resolved 662, reused 0, downloaded 641, added 0
Progress: resolved 692, reused 0, downloaded 643, added 0
Progress: resolved 726, reused 0, downloaded 680, added 0
Progress: resolved 765, reused 0, downloaded 718, added 0
.                                        |  WARN  deprecated uuid@3.4.0
Progress: resolved 779, reused 0, downloaded 740, added 0
Progress: resolved 799, reused 0, downloaded 764, added 0
Progress: resolved 819, reused 0, downloaded 784, added 0
Progress: resolved 837, reused 0, downloaded 800, added 0
Progress: resolved 848, reused 0, downloaded 811, added 0
Progress: resolved 870, reused 0, downloaded 826, added 0
Progress: resolved 876, reused 0, downloaded 833, added 0
Progress: resolved 886, reused 0, downloaded 845, added 0
Progress: resolved 902, reused 0, downloaded 854, added 0
Progress: resolved 925, reused 0, downloaded 875, added 0
Progress: resolved 946, reused 0, downloaded 898, added 0
Progress: resolved 954, reused 0, downloaded 911, added 0
Progress: resolved 971, reused 0, downloaded 924, added 0
Progress: resolved 998, reused 0, downloaded 956, added 0
Progress: resolved 1043, reused 0, downloaded 985, added 0
Progress: resolved 1052, reused 0, downloaded 999, added 0
Progress: resolved 1070, reused 0, downloaded 1029, added 0
Progress: resolved 1081, reused 0, downloaded 1042, added 0
Progress: resolved 1086, reused 0, downloaded 1046, added 0
Progress: resolved 1087, reused 0, downloaded 1049, added 0
Progress: resolved 1088, reused 0, downloaded 1049, added 0
Progress: resolved 1088, reused 0, downloaded 1052, added 0
 ERR_PNPM_PEER_DEP_ISSUES  Unmet peer dependencies

.
└─┬ vitepress
  └─┬ @docsearch/js
    └─┬ @docsearch/react
      β”œβ”€β”€ βœ• missing peer @types/react@">= 16.8.0 < 18.0.0"
      β”œβ”€β”€ βœ• missing peer react@">= 16.8.0 < 18.0.0"
      β”œβ”€β”€ βœ• missing peer react-dom@">= 16.8.0 < 18.0.0"
      └─┬ @algolia/autocomplete-preset-algolia
        └── βœ• missing peer @algolia/client-search@^4.9.1
Peer dependencies that should be installed:
  @algolia/client-search@^4.9.1
  @types/react@">= 16.8.0 < 18.0.0"
  react-dom@">= 16.8.0 < 18.0.0"
  react@">= 16.8.0 < 18.0.0"

packages/vite
β”œβ”€β”¬ @rollup/plugin-typescript
β”‚ └── βœ• missing peer typescript@>=3.7.0
└─┬ tsconfck
  └── βœ• missing peer typescript@^4.3.5
Peer dependencies that should be installed:
  typescript@">=4.3.5 <5.0.0"

playground/backend-integration
└─┬ tailwindcss
  β”œβ”€β”€ βœ• missing peer postcss@^8.0.9
  β”œβ”€β”€ βœ• missing peer autoprefixer@^10.0.2
  β”œβ”€β”¬ postcss-load-config
  β”‚ └── βœ• missing peer postcss@>=8.0.9
  └─┬ postcss-nested
    └── βœ• missing peer postcss@^8.2.14
Peer dependencies that should be installed:
  autoprefixer@^10.0.2
  postcss@">=8.2.14 <9.0.0"

playground/css
└─┬ postcss-nested
  └── βœ• missing peer postcss@^8.2.14
Peer dependencies that should be installed:
  postcss@^8.2.14

playground/react-emotion
β”œβ”€β”¬ @babel/plugin-proposal-pipeline-operator
β”‚ β”œβ”€β”€ βœ• missing peer @babel/core@^7.0.0-0
β”‚ └─┬ @babel/plugin-syntax-pipeline-operator
β”‚   └── βœ• missing peer @babel/core@^7.0.0-0
β”œβ”€β”¬ @emotion/babel-plugin
β”‚ β”œβ”€β”€ βœ• missing peer @babel/core@^7.0.0
β”‚ └─┬ @babel/plugin-syntax-jsx
β”‚   └── βœ• missing peer @babel/core@^7.0.0-0
└─┬ @emotion/react
  └── βœ• missing peer @babel/core@^7.0.0
Peer dependencies that should be installed:
  @babel/core@">=7.0.0 <8.0.0"

playground/tailwind
β”œβ”€β”¬ ts-node
β”‚ β”œβ”€β”€ βœ• missing peer @types/node@"*"
β”‚ └── βœ• missing peer typescript@>=2.7
β”œβ”€β”¬ autoprefixer
β”‚ └── βœ• missing peer postcss@^8.1.0
└─┬ tailwindcss
  β”œβ”€β”€ βœ• missing peer postcss@^8.0.9
  β”œβ”€β”¬ postcss-load-config
  β”‚ └── βœ• missing peer postcss@>=8.0.9
  └─┬ postcss-nested
    └── βœ• missing peer postcss@^8.2.14
Peer dependencies that should be installed:
  @types/node@"*"
  postcss@">=8.2.14 <9.0.0"
  typescript@>=2.7

playground/vue-sourcemap
└─┬ postcss-nested
  └── βœ• missing peer postcss@^8.2.14
Peer dependencies that should be installed:
  postcss@^8.2.14

hint: If you want peer dependencies to be automatically installed, set the "auto-install-peers" setting to "true".
hint: If you don't want pnpm to fail on peer dependency issues, set the "strict-peer-dependencies" setting to "false".


@bluwy
Copy link
Member

bluwy commented May 23, 2022

Set strict-peer-dependencies false since there's many cases where it doesn't make sense to add the peer dependency, e.g. tailwindcss -> postcss, Vite already bundles postcss.

bluwy
bluwy previously approved these changes May 23, 2022
@antfu antfu merged commit c68db4d into main May 26, 2022
@antfu antfu deleted the renovate/all-minor-patch branch May 26, 2022 06:15
@antfu
Copy link
Member

antfu commented May 26, 2022

CI failed due to pnpm/action-setup#44

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
dependencies Pull requests that update a dependency file
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

3 participants